app_calon/urls.py
from django.conf.urls import url
from .views import index, daftar, insertDaftar, daftar
#url for app
urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^pendafaran/$', daftar, name='pendafaran'),
    url(r'^insert', insertDaftar, name='insertDaftar'),
    url(r'^daftar', daftar, name='daftar')
]

simbion20/urls.py
from django.conf.urls import url
from django.conf.urls import include
from django.contrib import admin
from django.conf.urls import include
import app_calon.urls as app_calon
import app_skema_beasiswa.urls as app_skema_beasiswa
import app_info_beasiswa.urls as app_info_beasiswa
import app_seleksi.urls as app_seleksi
import app_login.urls as app_login
import app_detail.urls as app_detail
import app_register.urls as app_register
from django.views.generic import RedirectView

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^app-calon/', include(app_calon,namespace='app-calon')),
    url(r'^app-seleksi/', include(app_seleksi,namespace='app-seleksi')),
    url(r'^app-skema-beasiswa/', include(app_skema_beasiswa,namespace='app-skema-beasiswa')),
    url(r'^app-info-beasiswa/', include(app_info_beasiswa,namespace='app-info-beasiswa')),
    url(r'^app-login/', include(app_login,namespace='app-login')),
    url(r'^app-detail/', include(app_detail,namespace='app-detail')),
    url(r'^app-register/', include(app_register,namespace='app-register')),
    url(r'^$', RedirectView.as_view(url='/app-info-beasiswa/', permanent=True), name='redirect_landing_page'),
]

app_calon/models.py
# This is an auto-generated Django model module.
# You'll have to do the following manually to clean this up:
#   * Rearrange models' order
#   * Make sure each model has one field with primary_key=True
#   * Make sure each ForeignKey has `on_delete` set to the desired behavior.
#   * Remove `managed = False` lines if you wish to allow Django to create, modify, and delete the table
# Feel free to rename the models, but don't rename db_table values or field names.
from __future__ import unicode_literals

from django.db import models


class Admin(models.Model):
    username = models.ForeignKey('Pengguna', models.DO_NOTHING, db_column='username', primary_key=True)

    class Meta:
        managed = False
        db_table = 'admin'


class AuthGroup(models.Model):
    name = models.CharField(unique=True, max_length=80)

    class Meta:
        managed = False
        db_table = 'auth_group'


class AuthGroupPermissions(models.Model):
    group = models.ForeignKey(AuthGroup, models.DO_NOTHING)
    permission = models.ForeignKey('AuthPermission', models.DO_NOTHING)

    class Meta:
        managed = False
        db_table = 'auth_group_permissions'
        unique_together = (('group', 'permission'),)


class AuthPermission(models.Model):
    name = models.CharField(max_length=255)
    content_type = models.ForeignKey('DjangoContentType', models.DO_NOTHING)
    codename = models.CharField(max_length=100)

    class Meta:
        managed = False
        db_table = 'auth_permission'
        unique_together = (('content_type', 'codename'),)


class AuthUser(models.Model):
    password = models.CharField(max_length=128)
    last_login = models.DateTimeField(blank=True, null=True)
    is_superuser = models.BooleanField()
    username = models.CharField(unique=True, max_length=150)
    first_name = models.CharField(max_length=30)
    last_name = models.CharField(max_length=30)
    email = models.CharField(max_length=254)
    is_staff = models.BooleanField()
    is_active = models.BooleanField()
    date_joined = models.DateTimeField()

    class Meta:
        managed = False
        db_table = 'auth_user'


class AuthUserGroups(models.Model):
    user = models.ForeignKey(AuthUser, models.DO_NOTHING)
    group = models.ForeignKey(AuthGroup, models.DO_NOTHING)

    class Meta:
        managed = False
        db_table = 'auth_user_groups'
        unique_together = (('user', 'group'),)


class AuthUserUserPermissions(models.Model):
    user = models.ForeignKey(AuthUser, models.DO_NOTHING)
    permission = models.ForeignKey(AuthPermission, models.DO_NOTHING)

    class Meta:
        managed = False
        db_table = 'auth_user_user_permissions'
        unique_together = (('user', 'permission'),)


class DjangoAdminLog(models.Model):
    action_time = models.DateTimeField()
    object_id = models.TextField(blank=True, null=True)
    object_repr = models.CharField(max_length=200)
    action_flag = models.SmallIntegerField()
    change_message = models.TextField()
    content_type = models.ForeignKey('DjangoContentType', models.DO_NOTHING, blank=True, null=True)
    user = models.ForeignKey(AuthUser, models.DO_NOTHING)

    class Meta:
        managed = False
        db_table = 'django_admin_log'


class DjangoContentType(models.Model):
    app_label = models.CharField(max_length=100)
    model = models.CharField(max_length=100)

    class Meta:
        managed = False
        db_table = 'django_content_type'
        unique_together = (('app_label', 'model'),)


class DjangoMigrations(models.Model):
    app = models.CharField(max_length=255)
    name = models.CharField(max_length=255)
    applied = models.DateTimeField()

    class Meta:
        managed = False
        db_table = 'django_migrations'


class DjangoSession(models.Model):
    session_key = models.CharField(primary_key=True, max_length=40)
    session_data = models.TextField()
    expire_date = models.DateTimeField()

    class Meta:
        managed = False
        db_table = 'django_session'


class Donatur(models.Model):
    nomor_identitas = models.CharField(primary_key=True, max_length=20)
    email = models.CharField(max_length=50)
    nama = models.CharField(max_length=50)
    npwp = models.CharField(max_length=20)
    no_telp = models.CharField(max_length=20, blank=True, null=True)
    alamat = models.CharField(max_length=50)
    username = models.ForeignKey('Pengguna', models.DO_NOTHING, db_column='username')

    class Meta:
        managed = False
        db_table = 'donatur'


class IndividualDonor(models.Model):
    nik = models.CharField(primary_key=True, max_length=16)
    nomor_identitas_donatur = models.ForeignKey(Donatur, models.DO_NOTHING, db_column='nomor_identitas_donatur')

    class Meta:
        managed = False
        db_table = 'individual_donor'


class Mahasiswa(models.Model):
    npm = models.CharField(primary_key=True, max_length=20)
    email = models.CharField(max_length=50)
    nama = models.CharField(max_length=50)
    no_telp = models.CharField(max_length=20, blank=True, null=True)
    alamat_tinggal = models.CharField(max_length=50)
    alamat_domisili = models.CharField(max_length=50)
    nama_bank = models.CharField(max_length=50)
    no_rekening = models.CharField(max_length=20)
    nama_pemilik = models.CharField(max_length=20)
    username = models.ForeignKey('Pengguna', models.DO_NOTHING, db_column='username')

    class Meta:
        managed = False
        db_table = 'mahasiswa'


class Pembayaran(models.Model):
    urutan = models.IntegerField(primary_key=True)
    kode_skema_beasiswa = models.ForeignKey('SkemaBeasiswaAktif', models.DO_NOTHING, db_column='kode_skema_beasiswa', primary_key=True)
    no_urut_skema_beasiswa_aktif = models.ForeignKey('SkemaBeasiswaAktif', models.DO_NOTHING, db_column='no_urut_skema_beasiswa_aktif', related_name = '%(class)s_pembayaran')
    npm = models.ForeignKey(Mahasiswa, models.DO_NOTHING, db_column='npm')
    keterangan = models.CharField(max_length=50)
    tgl_bayar = models.DateField()
    nominal = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'pembayaran'
        unique_together = (('urutan', 'kode_skema_beasiswa', 'no_urut_skema_beasiswa_aktif', 'npm'),)


class Pendaftaran(models.Model):
    kode_skema_beasiswa = models.ForeignKey('SkemaBeasiswa', models.DO_NOTHING, db_column='kode_skema_beasiswa', primary_key=True)
    no_urut = models.IntegerField()
    npm = models.ForeignKey(Mahasiswa, models.DO_NOTHING, db_column='npm')
    waktu_daftar = models.DateTimeField()
    status_daftar = models.CharField(max_length=20)
    status_terima = models.CharField(max_length=20)

    class Meta:
        managed = False
        db_table = 'pendaftaran'
        unique_together = (('kode_skema_beasiswa', 'no_urut', 'npm'),)


class Pengguna(models.Model):
    username = models.CharField(primary_key=True, max_length=20)
    password = models.CharField(max_length=20)
    role = models.CharField(max_length=20)

    class Meta:
        managed = False
        db_table = 'pengguna'


class Pengumuman(models.Model):
    tanggal = models.DateField()
    kode_skema_beasiswa = models.ForeignKey('SkemaBeasiswaAktif', models.DO_NOTHING, db_column='kode_skema_beasiswa', primary_key=True)
    no_urut_skema_beasiswa_aktif = models.ForeignKey('SkemaBeasiswaAktif', models.DO_NOTHING, db_column='no_urut_skema_beasiswa_aktif', related_name = '%(class)s_pengumuman')
    username = models.ForeignKey(Pengguna, models.DO_NOTHING, db_column='username')
    judul = models.CharField(max_length=20)
    isi = models.CharField(max_length=255)

    class Meta:
        managed = False
        db_table = 'pengumuman'
        unique_together = (('kode_skema_beasiswa', 'no_urut_skema_beasiswa_aktif', 'tanggal', 'username'),)


class RiwayatAkademik(models.Model):
    no_urut = models.IntegerField(primary_key=True)
    npm = models.ForeignKey(Mahasiswa, models.DO_NOTHING, db_column='npm')
    semester = models.CharField(max_length=1)
    tahun_ajaran = models.CharField(max_length=9, blank=True, null=True)
    jumlah_sks = models.IntegerField()
    ips = models.FloatField()
    lampiran = models.CharField(max_length=50)

    class Meta:
        managed = False
        db_table = 'riwayat_akademik'
        unique_together = (('no_urut', 'npm'),)


class SkemaBeasiswa(models.Model):
    kode = models.IntegerField(primary_key=True)
    nama = models.CharField(max_length=50)
    jenis = models.CharField(max_length=20)
    deskripsi = models.CharField(max_length=50)
    nomor_identitas_donatur = models.ForeignKey(Donatur, models.DO_NOTHING, db_column='nomor_identitas_donatur')

    class Meta:
        managed = False
        db_table = 'skema_beasiswa'


class SkemaBeasiswaAktif(models.Model):
    kode_skema_beasiswa = models.ForeignKey(SkemaBeasiswa, models.DO_NOTHING, db_column='kode_skema_beasiswa', primary_key=True)
    no_urut = models.IntegerField(unique=True)
    tgl_mulai_pendaftaran = models.DateField()
    tgl_tutup_pendaftaran = models.DateField()
    periode_penerimaan = models.CharField(max_length=50)
    status = models.CharField(max_length=20)
    jumlah_beasiswa_didaftar = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'skema_beasiswa_aktif'
        unique_together = (('kode_skema_beasiswa', 'no_urut'),)


class SyaratBeasiswa(models.Model):
    kode_beasiswa = models.ForeignKey(SkemaBeasiswa, models.DO_NOTHING, db_column='kode_beasiswa', primary_key=True)
    syarat = models.CharField(max_length=50)

    class Meta:
        managed = False
        db_table = 'syarat_beasiswa'
        unique_together = (('kode_beasiswa', 'syarat'),)


class TempatWawancara(models.Model):
    kode = models.IntegerField(primary_key=True)
    nama = models.CharField(max_length=50)
    lokasi = models.CharField(max_length=50)

    class Meta:
        managed = False
        db_table = 'tempat_wawancara'


class Wawancara(models.Model):

app_calon/forms.py
from django import forms
from .models import *

class MyModelChoiceField(forms.ModelChoiceField):
    def label_from_instance(self, obj):
        text = str(obj.kode_skema_beasiswa.nama) + " - " + str(obj.no_urut)
        return text

class DaftarForm(forms.Form):
    error_messages = {
        'required': 'Please input',
    }

    npm = {
        'type':'text',
        'class': 'form-control',
        'placeholder': 'Enter NPM'
    }
    email = {
        'type':'text',
        'class': 'form-control',
        'placeholder': 'Enter Email'
    }
    ips = {
        'type':'text',
        'class': 'form-control',
        'placeholder': 'Enter IPS'
    }

    kode_skema_beasiswa = MyModelChoiceField(queryset=SkemaBeasiswaAktif.objects.filter(status="buka").order_by( 'no_urut', 'kode_skema_beasiswa'), required=True,
		empty_label="Select Kode Skema Beasiswa", label='Kode Skema', widget=forms.Select(attrs={'class':'form-control'}))
    npm = forms.CharField(label='NPM', required=True, widget=forms.TextInput(attrs=npm))
    email = forms.CharField(label='Email', required=True, widget=forms.TextInput(attrs=email))
    ips = forms.FloatField(label='IPS', required=True, widget=forms.TextInput(attrs=ips))

app_calon/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from django.views.decorators.csrf import csrf_exempt
from django.db import connection
from .forms import DaftarForm
from .models import *
import datetime

response = {}
# Create your views here.
#kalau login gak selesai :"
npm_mhs = '627-80-0569'


def index(request):
	username = request.session['username']
	print(username)
	skema_beasiswa_aktif = SkemaBeasiswaAktif.objects.raw('SELECT * FROM skema_beasiswa_aktif')
	response['skema_beasiswa_aktif'] = skema_beasiswa_aktif
	mahasiswa = Mahasiswa.objects.raw("SELECT * FROM mahasiswa where username='"+username+"'")[0]
	print(mahasiswa)
	daftar = Pendaftaran.objects.raw("SELECT * from pendaftaran where npm ='"+mahasiswa.npm+"'")
	response['daftar'] = daftar
	html = 'app_calon/app_calon.html'
	return render(request, html, response)

def daftar(request):
	username = request.session['username']
	html = 'app_calon/form.html'
	mahasiswa = Mahasiswa.objects.raw("SELECT npm, email from mahasiswa where mahasiswa.username='{}'".format(username))[0]
	response['mhs'] = mahasiswa
	# kalau log in belom selesai, tampilin untuk mahasiswa '627-80-0569'
	# mahasiswa = Pendaftaran.objects.raw('SELECT * FROM mahasiswa')
	# response['mahasiswa'] = mahasiswa_id
	response['daftar_form'] = DaftarForm
	return render(request, html, response)

@csrf_exempt
def insertDaftar(request):
	form = DaftarForm(request.POST or None)
	if(request.method == 'POST'):
		print('error nya apa sii')
		cursor = connection.cursor()
		kode_skema = request.POST['kode_skema_beasiswa']
		print(kode_skema)
		# email_mhs= request.POST['email']
		ips_mhs = request.POST['ips']
		# npm_mhs= request.POST['npm']

		cursor.execute("SELECT no_urut FROM skema_beasiswa_aktif WHERE status='buka' AND kode_skema_beasiswa=" + kode_skema)
		no_terakhir = cursor.fetchone()[0]
		print(no_terakhir)

		print(no_terakhir)
		now=datetime.datetime.now()
		waktu_dftr=now.strftime("%Y-%m-%d %H:%M:%S")
		print(waktu_dftr)

		username = request.session['username']
		print(username)
		mahasiswa = Mahasiswa.objects.raw("SELECT * FROM mahasiswa where username='"+username+"'")[0]
		print(mahasiswa)

		query_insert = "INSERT INTO pendaftaran (no_urut,kode_skema_beasiswa,npm,waktu_daftar,status_daftar,status_terima) VALUES (%d, %d, '%s', '%s' , 'tidak aktif', 'tidak aktif')" %\
		(int(no_terakhir), int(kode_skema), mahasiswa.npm, waktu_dftr)
		print(cursor.execute(query_insert))
		cursor.close()

		print(Pendaftaran.objects.all().count())

		return HttpResponseRedirect('/app-calon/')
	else:
		return HttpResponseRedirect('/app-calon/')

def daftar(request):
	cursor = connection.cursor()
	query = request.GET.get('kode')
	kode = "{}".format(query)

	cursor.execute("SELECT no_urut FROM skema_beasiswa_aktif WHERE status = 'buka' AND kode_skema_beasiswa=" + kode)
	no_urut = cursor.fetchone()[0]

	now=datetime.datetime.now()
	waktu_dftr=now.strftime("%Y-%m-%d %H:%M:%S")
	print(waktu_dftr)

	username = request.session['username']
	print(username)
	mahasiswa = Mahasiswa.objects.raw("SELECT * FROM mahasiswa where username='"+username+"'")[0]
	print(mahasiswa)

	query_insert = "INSERT INTO pendaftaran (no_urut,kode_skema_beasiswa,npm,waktu_daftar,status_daftar,status_terima) VALUES (%d, %d, '%s', '%s' , 'tidak aktif', 'tidak aktif')" %\
	(no_urut, int(kode), mahasiswa.npm, waktu_dftr)
	print(cursor.execute(query_insert))
	cursor.close()
	return HttpResponseRedirect('/app-calon/')

app_calon/templates/app_calon/app_calon.html
{% extends "app_calon/layout/base.html" %}

{% block content %}
  <div class="py-5">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <ul class="nav nav-tabs">
            <li class="nav-item">
              <a href="" class="active nav-link" data-target="#tabone" data-toggle="tab">List Beasiswa</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="" data-toggle="tab" data-target="#tabtwo">Hasil Seleksi</a>
            </li>
            <li class="nav-item">
              <a class="btn btn-primary" href="pendafaran/"> Daftar </a>
            </li>
          </ul>
          <div class="tab-content mt-2">
            <div class="tab-pane fade show active" id="tabone" role="tabpanel">
              <div class="col-md-12">
                <table class="table">
                  <thead>
                    <tr>
                      <th>No</th>
                      <th>Nama Beasiswa</th>
                      <th>Waktu Tutup Pendaftaran</th>
                      <th>Status Beasiswa</th>
                      <th>Jumlah Pendaftar </th>
                    </tr>
                  </thead>
                  <tbody>
                    {% for i in skema_beasiswa_aktif%}
                    <tr>
                      <td>{{ i.kode_skema_beasiswa.kode }}</td>
                      <td>{{ i.kode_skema_beasiswa.nama }}</td>
                      <td>{{ i.tgl_tutup_pendaftaran}}</td>
                      <td>{{ i.status}}</td>
                      <td>{{ i.jumlah_beasiswa_didaftar }} </td>
                      {% if i.status == "buka" %}
                      <td>
                        <a class="btn btn-primary" href="/app-calon/daftar/?kode={{i.kode_skema_beasiswa.kode|safe}}">Daftar</a>
                      </td>
                      {% endif %}
                    </tr>
                    <tr></tr>
                    <tr></tr>
                    {% endfor %}
                  </tbody>
                </table>
              </div>
            </div>
            <div class="tab-pane fade" id="tabtwo" role="tabpanel">
              <div class="col-md-12">
                <table class="table">
                  <thead>
                    <tr>
                      <th>No</th>
                      <th>Kode</th>
                      <th>Beasiswa</th>
                      <th>Status</th>
                    </tr>
                  </thead>
                  <tbody>
                    {% for i in daftar%}
                    <tr>
                      <td>{{i.no_urut}}</td>
                      <td>{{i.kode_skema_beasiswa.kode}}</td>
                      <td>{{i.kode_skema_beasiswa.nama}}</td>
                      <td>{{i.status_terima}}</td>
                    </tr>
                    <tr></tr>
                    <tr></tr>
                    {% endfor %}
                  </tbody>
                </table>
              </div>
            </div>
            <div class="tab-pane fade" id="tabthree" role="tabpanel"> </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="py-5 h-25" >
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          {% if users.has_other_pages %}
  <ul class="pagination">
    {% if users.has_previous %}
      <li><a href="?page={{ users.previous_page_number }}">&laquo;</a></li>
    {% else %}
      <li class="disabled"><span>&laquo;</span></li>
    {% endif %}
    {% for i in users.paginator.page_range %}
      {% if users.number == i %}
        <li class="active"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
      {% else %}
        <li><a href="?page={{ i }}">{{ i }}</a></li>
      {% endif %}
    {% endfor %}
    {% if users.has_next %}
      <li><a href="?page={{ users.next_page_number }}">&raquo;</a></li>
    {% else %}
      <li class="disabled"><span>&raquo;</span></li>
    {% endif %}
  </ul>
{% endif %}
        </div>
      </div>
    </div>
  </div>

{% endblock %}

app_calon/templates/app_calon/form.html
{% load staticfiles %}
{% load static %}

<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" type="text/css">
  <link rel="stylesheet" href="https://v40.pingendo.com/assets/4.0.0/default/theme.css" type="text/css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css">
  <link rel="stylesheet" href="{%static 'css/form.css' %}" type="text/css">
  <title>
    {% block title %} Pendaftaran Beasiswa {{author}} {% endblock %}
  </title>
</head>
<header>
    {% include "app_calon/partials/header_logout.html" %}
  </header>
<div class="container some-margin">
  <div class="row">
    <div class="col-sm-12">
      <div class="row">
        <div class="col-sm-8 col-centered padding-top-0">
          <div class="top-header">
            <div class="overlay margin-top-0"></div>
            <div class="centered-thing text-center">
              <h4 style="color: white"><i>Form Pendaftaran Beasiswa</i></h4>
            </div>
          </div>
         <div class="content-form">
            <div class="isi-form">
              <form method="POST" action="{% url 'app-calon:insertDaftar' %}">
              <div class="row">
                <div class="col-sm-8 col-centered">
                  <div class="form-group">
                    <label>Kode Beasiswa</label>
                    <br>{{daftar_form.kode_skema_beasiswa}}</br>
                  </div>
                  <div class="form-group">
                    <label>NPM</label>
                    <br><h3>{{mhs.npm}}</h3></br>
                  </div>
                  <div class="form-group">
                    <label>Email</label>
                    <br><h3>{{mhs.email}}</h3></br>
                  </div>
                  <div class="form-group">
                    <label>Index Prestasi Semester</label>
                    <br>{{daftar_form.ips}}</br>
                  </div>
                  <button type="submit" style="float: right;" class="btn btn-primary ml-3">
                    <b>Submit</b>
                 </button>
                </div>
              </div>
            </form>
            </div>
          </div>
        </div>
      </div>

    </div>
  </div>
</div>
<footer>
        <!-- TODO Block Footer dan include footer.html -->
        {% block footer %}
        {% include "app_skema_beasiswa/partials/footer.html" %}
        {% endblock %}
  </footer>
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>